Skip to main content
GET
List forms

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

owner_id
string

Filter forms based on the owner.

work_assignment_id
string

Filter forms based on the Work Assignment.

employee_id
string

Filter forms owned by the Employee or the Employee's Work Assignments.

form_batch_id
string

Filter forms by Form Batch.

type

Filter forms based on the type of form.

Available options:
rl1,
roe,
t4,
t4a,
td1,
td1ab,
td1bc,
td1mb,
td1nb,
td1nl,
td1ns,
td1nt,
td1nu,
td1on,
td1pe,
td1sk,
td1x,
td1yt,
tp_1015_3_v,
tp_1015_r_13_v
status

Filter forms based on the status of form.

Available options:
approved,
done,
draft,
processing,
rejected,
submitted
owner_type
enum<string>

Filter forms based on the type of the form's owner.

Available options:
contractor,
employee,
work_assignment
owner_name
string

Filter forms based on the owner's name.

created_at
object

Only return forms with a created_at date matching the filter.

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: created_at=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: created_at[gte]=2024-01-01&created_at[lt]=2024-12-31
fields
object[]

Filter forms by field content. An array of objects with field (required) and value (optional) keys. Providing only field returns forms that have any value for that field; providing both returns forms where that field matches the given value.

fields.*
string
fields.*.field
string
required
fields.*.value
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
effective_date
expand
enum<string>[]
Available options:
form_batch,
owner

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]